#include  "guess.h"
int find_number(int MAX){
    int pas,x;
    for(pas=1; pas<MAX; pas*=2);
    x=0;
    for(; pas; pas/=2)
        if(x+pas<MAX&&smaller(x+pas))
            x+=pas;
    return x+1;
}
